import { Config, Runner, UserConfig, WebpackWrapper } from '@morjs/utils';
import { CompilerUserConfig } from './constants';
import type { EntryBuilder } from './entries';
export declare const LOADERS: {
    preprocess: string;
    postprocess: string;
    config: string;
    script: string;
    sjs: string;
    template: string;
    style: string;
    native: string;
};
export declare function modifyUserConfig(config: Config, userConfig: UserConfig, commandOptions?: Record<string, any>): UserConfig;
/**
 * 应用用户配置默认值
 * @param config - takin config 实例
 * @param userConfig - 用户配置
 */
export declare function applyDefaults(config: Config, userConfig: CompilerUserConfig & {
    name?: string;
}): void;
/**
 * 生成 ChunkLoadingGlobal 字符串
 * 防止多项目合并之后 原有的 mor_modules 冲突
 * @returns 生成的字符串
 */
export declare function generateChunkLoadingGlobal(runner: Runner, userConfig: CompilerUserConfig): string;
/**
 * 基于 用户配置 完成对 webpack 的配置
 */
export declare function buildWebpackConfig(config: Config, userConfig: CompilerUserConfig & {
    name?: string;
}, webpackWrapper: WebpackWrapper, entryBuilder: EntryBuilder, runner: Runner): Promise<void>;
