import { EntryBuilderHelpers, FileParserOptions, Plugin, Runner, WebpackWrapper } from '@morjs/utils';
import { CompilerUserConfig } from '../constants';
/**
 * 实现 transform 模式下 alias 支持
 * alias 配置参见：http://mor.eleme.io/guides/basic/config#alias---%E5%88%AB%E5%90%8D%E9%85%8D%E7%BD%AE
 *
 * 注意：alias 配置会对 EntryFileType.script 和 EntryFileType.sjs 文件类型生效
 */
export declare class AliasSupportPlugin implements Plugin {
    name: string;
    webpackWrapper: WebpackWrapper;
    entryBuilder: EntryBuilderHelpers;
    apply(runner: Runner<any>): void;
    handleAliasPrepocesser(userConfig: CompilerUserConfig, fileContent: string, options: FileParserOptions, matchedModuleNamesInfo: Record<string, Record<string, string>>): Promise<void>;
    handleAliasTransformer(transformers: any, options: any, names: any): any;
    /**
     * 获取 webpack normal resolver
     * @param options - ResolverOptions 用于传递给 resolver
     */
    private getEnhanceResolver;
}
